System 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("0000010F-0000-0000-C000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

The IAdviseSink interface enables containers and other objects to receive notifications of data changes, and view changes and compound-document changes occurring in objects of interest.

For more information about the IAdviseSink interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides a managed definition of the IAdviseSink interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  An notification indicates that an object is making the transition from the running state to the loaded state, so its container can take appropriate measures to ensure orderly shutdown. For example, an object handler must release its pointer to the object.

  For more information about IAdviseSink::OnClose, see the MSDN Library.

  Notifies all registered advisory sinks that the object has changed from the running state to the loaded state. This method is called by a server.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information about IAdviseSink::IMoniker, see the MSDN Library.

  Notifies all registered advisory sinks that the object has been renamed. This method is called by a server.

  A pointer to the IMoniker interface on the new full moniker of the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  For more information about IAdviseSink::OnSave, see the MSDN Library.

  Notifies all registered advisory sinks that the object has been saved. This method is called by a server.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For more information about IAdviseSink::OnViewChange, see the MSDN Library.

  Notifies an object's registered advisory sinks that its view has changed. This method is called by a server.

  The aspect, or view, of the object. Contains a value taken from the enumeration. The portion of the view that has changed. Currently, only -1 is valid.